#ifndef __gui__widgets__clickable_label_h
#define __gui__widgets__clickable_label_h

#include <QLabel>

class ClickableLabel final : public QLabel {
		Q_OBJECT

	public:
		explicit ClickableLabel(QWidget* parent = nullptr);
		~ClickableLabel();

	signals:
		void clicked();

	protected:
		void mousePressEvent(QMouseEvent*) override;
};

#endif // __gui__widgets__clickable_label_h
